<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [WaitForTargetOptions](./puppeteer.waitfortargetoptions.md)

## WaitForTargetOptions interface


<b>Signature:</b>

```typescript
export interface WaitForTargetOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [timeout](./puppeteer.waitfortargetoptions.timeout.md) | number | Maximum wait time in milliseconds. Pass <code>0</code> to disable the timeout. |

